import { DominantSpeakerNotification } from '../../fbs/active-speaker-observer/dominant-speaker-notification';
import { VolumesNotification } from '../../fbs/audio-level-observer/volumes-notification';
import { LayersChangeNotification } from '../../fbs/consumer/layers-change-notification';
import { RtpNotification } from '../../fbs/consumer/rtp-notification';
import { ScoreNotification as FBS_Consumer_ScoreNotification } from '../../fbs/consumer/score-notification';
import { TraceNotification as FBS_Consumer_TraceNotification } from '../../fbs/consumer/trace-notification';
import { BufferedAmountLowNotification } from '../../fbs/data-consumer/buffered-amount-low-notification';
import { MessageNotification } from '../../fbs/data-consumer/message-notification';
import { RtcpNotification } from '../../fbs/direct-transport/rtcp-notification';
import { RtcpTupleNotification } from '../../fbs/plain-transport/rtcp-tuple-notification';
import { TupleNotification } from '../../fbs/plain-transport/tuple-notification';
import { ScoreNotification } from '../../fbs/producer/score-notification';
import { TraceNotification as FBS_Producer_TraceNotification } from '../../fbs/producer/trace-notification';
import { VideoOrientationChangeNotification } from '../../fbs/producer/video-orientation-change-notification';
import { SctpStateChangeNotification } from '../../fbs/transport/sctp-state-change-notification';
import { TraceNotification } from '../../fbs/transport/trace-notification';
import { DtlsStateChangeNotification } from '../../fbs/web-rtc-transport/dtls-state-change-notification';
import { IceSelectedTupleChangeNotification } from '../../fbs/web-rtc-transport/ice-selected-tuple-change-notification';
import { IceStateChangeNotification } from '../../fbs/web-rtc-transport/ice-state-change-notification';
export declare enum Body {
    NONE = 0,
    Transport_TraceNotification = 1,
    Transport_SctpStateChangeNotification = 2,
    WebRtcTransport_IceSelectedTupleChangeNotification = 3,
    WebRtcTransport_IceStateChangeNotification = 4,
    WebRtcTransport_DtlsStateChangeNotification = 5,
    PlainTransport_TupleNotification = 6,
    PlainTransport_RtcpTupleNotification = 7,
    DirectTransport_RtcpNotification = 8,
    Producer_ScoreNotification = 9,
    Producer_TraceNotification = 10,
    Producer_VideoOrientationChangeNotification = 11,
    Consumer_LayersChangeNotification = 12,
    Consumer_RtpNotification = 13,
    Consumer_ScoreNotification = 14,
    Consumer_TraceNotification = 15,
    DataConsumer_MessageNotification = 16,
    DataConsumer_BufferedAmountLowNotification = 17,
    ActiveSpeakerObserver_DominantSpeakerNotification = 18,
    AudioLevelObserver_VolumesNotification = 19
}
export declare function unionToBody(type: Body, accessor: (obj: BufferedAmountLowNotification | DominantSpeakerNotification | DtlsStateChangeNotification | FBS_Consumer_ScoreNotification | FBS_Consumer_TraceNotification | FBS_Producer_TraceNotification | IceSelectedTupleChangeNotification | IceStateChangeNotification | LayersChangeNotification | MessageNotification | RtcpNotification | RtcpTupleNotification | RtpNotification | ScoreNotification | SctpStateChangeNotification | TraceNotification | TupleNotification | VideoOrientationChangeNotification | VolumesNotification) => BufferedAmountLowNotification | DominantSpeakerNotification | DtlsStateChangeNotification | FBS_Consumer_ScoreNotification | FBS_Consumer_TraceNotification | FBS_Producer_TraceNotification | IceSelectedTupleChangeNotification | IceStateChangeNotification | LayersChangeNotification | MessageNotification | RtcpNotification | RtcpTupleNotification | RtpNotification | ScoreNotification | SctpStateChangeNotification | TraceNotification | TupleNotification | VideoOrientationChangeNotification | VolumesNotification | null): BufferedAmountLowNotification | DominantSpeakerNotification | DtlsStateChangeNotification | FBS_Consumer_ScoreNotification | FBS_Consumer_TraceNotification | FBS_Producer_TraceNotification | IceSelectedTupleChangeNotification | IceStateChangeNotification | LayersChangeNotification | MessageNotification | RtcpNotification | RtcpTupleNotification | RtpNotification | ScoreNotification | SctpStateChangeNotification | TraceNotification | TupleNotification | VideoOrientationChangeNotification | VolumesNotification | null;
export declare function unionListToBody(type: Body, accessor: (index: number, obj: BufferedAmountLowNotification | DominantSpeakerNotification | DtlsStateChangeNotification | FBS_Consumer_ScoreNotification | FBS_Consumer_TraceNotification | FBS_Producer_TraceNotification | IceSelectedTupleChangeNotification | IceStateChangeNotification | LayersChangeNotification | MessageNotification | RtcpNotification | RtcpTupleNotification | RtpNotification | ScoreNotification | SctpStateChangeNotification | TraceNotification | TupleNotification | VideoOrientationChangeNotification | VolumesNotification) => BufferedAmountLowNotification | DominantSpeakerNotification | DtlsStateChangeNotification | FBS_Consumer_ScoreNotification | FBS_Consumer_TraceNotification | FBS_Producer_TraceNotification | IceSelectedTupleChangeNotification | IceStateChangeNotification | LayersChangeNotification | MessageNotification | RtcpNotification | RtcpTupleNotification | RtpNotification | ScoreNotification | SctpStateChangeNotification | TraceNotification | TupleNotification | VideoOrientationChangeNotification | VolumesNotification | null, index: number): BufferedAmountLowNotification | DominantSpeakerNotification | DtlsStateChangeNotification | FBS_Consumer_ScoreNotification | FBS_Consumer_TraceNotification | FBS_Producer_TraceNotification | IceSelectedTupleChangeNotification | IceStateChangeNotification | LayersChangeNotification | MessageNotification | RtcpNotification | RtcpTupleNotification | RtpNotification | ScoreNotification | SctpStateChangeNotification | TraceNotification | TupleNotification | VideoOrientationChangeNotification | VolumesNotification | null;
//# sourceMappingURL=body.d.ts.map