import * as flatbuffers from 'flatbuffers';
import { SendNotificationT as FBS_DataProducer_SendNotificationT } from '../../fbs/data-producer/send-notification';
import { Body } from '../../fbs/notification-to-worker/body';
import { Event } from '../../fbs/notification-to-worker/event';
import { SendNotificationT } from '../../fbs/producer/send-notification';
import { SendRtcpNotificationT } from '../../fbs/transport/send-rtcp-notification';
export declare class Notification implements flatbuffers.IUnpackableObject<NotificationT> {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Notification;
    static getRootAsNotification(bb: flatbuffers.ByteBuffer, obj?: Notification): Notification;
    static getSizePrefixedRootAsNotification(bb: flatbuffers.ByteBuffer, obj?: Notification): Notification;
    handlerId(): string | null;
    handlerId(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    event(): Event;
    bodyType(): Body;
    body<T extends flatbuffers.Table>(obj: any): any | null;
    static startNotification(builder: flatbuffers.Builder): void;
    static addHandlerId(builder: flatbuffers.Builder, handlerIdOffset: flatbuffers.Offset): void;
    static addEvent(builder: flatbuffers.Builder, event: Event): void;
    static addBodyType(builder: flatbuffers.Builder, bodyType: Body): void;
    static addBody(builder: flatbuffers.Builder, bodyOffset: flatbuffers.Offset): void;
    static endNotification(builder: flatbuffers.Builder): flatbuffers.Offset;
    static createNotification(builder: flatbuffers.Builder, handlerIdOffset: flatbuffers.Offset, event: Event, bodyType: Body, bodyOffset: flatbuffers.Offset): flatbuffers.Offset;
    unpack(): NotificationT;
    unpackTo(_o: NotificationT): void;
}
export declare class NotificationT implements flatbuffers.IGeneratedObject {
    handlerId: string | Uint8Array | null;
    event: Event;
    bodyType: Body;
    body: FBS_DataProducer_SendNotificationT | SendNotificationT | SendRtcpNotificationT | null;
    constructor(handlerId?: string | Uint8Array | null, event?: Event, bodyType?: Body, body?: FBS_DataProducer_SendNotificationT | SendNotificationT | SendRtcpNotificationT | null);
    pack(builder: flatbuffers.Builder): flatbuffers.Offset;
}
//# sourceMappingURL=notification.d.ts.map