import * as flatbuffers from 'flatbuffers';
import { EnableTraceEventRequestT as FBS_Consumer_EnableTraceEventRequestT } from '../../fbs/consumer/enable-trace-event-request';
import { SetPreferredLayersRequestT } from '../../fbs/consumer/set-preferred-layers-request';
import { SetPriorityRequestT } from '../../fbs/consumer/set-priority-request';
import { AddSubchannelRequestT } from '../../fbs/data-consumer/add-subchannel-request';
import { RemoveSubchannelRequestT } from '../../fbs/data-consumer/remove-subchannel-request';
import { SendRequestT } from '../../fbs/data-consumer/send-request';
import { SetBufferedAmountLowThresholdRequestT } from '../../fbs/data-consumer/set-buffered-amount-low-threshold-request';
import { SetSubchannelsRequestT } from '../../fbs/data-consumer/set-subchannels-request';
import { ConnectRequestT as FBS_PipeTransport_ConnectRequestT } from '../../fbs/pipe-transport/connect-request';
import { ConnectRequestT } from '../../fbs/plain-transport/connect-request';
import { EnableTraceEventRequestT as FBS_Producer_EnableTraceEventRequestT } from '../../fbs/producer/enable-trace-event-request';
import { Body } from '../../fbs/request/body';
import { Method } from '../../fbs/request/method';
import { CloseRtpObserverRequestT } from '../../fbs/router/close-rtp-observer-request';
import { CloseTransportRequestT } from '../../fbs/router/close-transport-request';
import { CreateActiveSpeakerObserverRequestT } from '../../fbs/router/create-active-speaker-observer-request';
import { CreateAudioLevelObserverRequestT } from '../../fbs/router/create-audio-level-observer-request';
import { CreateDirectTransportRequestT } from '../../fbs/router/create-direct-transport-request';
import { CreatePipeTransportRequestT } from '../../fbs/router/create-pipe-transport-request';
import { CreatePlainTransportRequestT } from '../../fbs/router/create-plain-transport-request';
import { CreateWebRtcTransportRequestT } from '../../fbs/router/create-web-rtc-transport-request';
import { AddProducerRequestT } from '../../fbs/rtp-observer/add-producer-request';
import { RemoveProducerRequestT } from '../../fbs/rtp-observer/remove-producer-request';
import { CloseConsumerRequestT } from '../../fbs/transport/close-consumer-request';
import { CloseDataConsumerRequestT } from '../../fbs/transport/close-data-consumer-request';
import { CloseDataProducerRequestT } from '../../fbs/transport/close-data-producer-request';
import { CloseProducerRequestT } from '../../fbs/transport/close-producer-request';
import { ConsumeDataRequestT } from '../../fbs/transport/consume-data-request';
import { ConsumeRequestT } from '../../fbs/transport/consume-request';
import { EnableTraceEventRequestT } from '../../fbs/transport/enable-trace-event-request';
import { ProduceDataRequestT } from '../../fbs/transport/produce-data-request';
import { ProduceRequestT } from '../../fbs/transport/produce-request';
import { SetMaxIncomingBitrateRequestT } from '../../fbs/transport/set-max-incoming-bitrate-request';
import { SetMaxOutgoingBitrateRequestT } from '../../fbs/transport/set-max-outgoing-bitrate-request';
import { SetMinOutgoingBitrateRequestT } from '../../fbs/transport/set-min-outgoing-bitrate-request';
import { ConnectRequestT as FBS_WebRtcTransport_ConnectRequestT } from '../../fbs/web-rtc-transport/connect-request';
import { CloseRouterRequestT } from '../../fbs/worker/close-router-request';
import { CloseWebRtcServerRequestT } from '../../fbs/worker/close-web-rtc-server-request';
import { CreateRouterRequestT } from '../../fbs/worker/create-router-request';
import { CreateWebRtcServerRequestT } from '../../fbs/worker/create-web-rtc-server-request';
import { UpdateSettingsRequestT } from '../../fbs/worker/update-settings-request';
export declare class Request implements flatbuffers.IUnpackableObject<RequestT> {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): Request;
    static getRootAsRequest(bb: flatbuffers.ByteBuffer, obj?: Request): Request;
    static getSizePrefixedRootAsRequest(bb: flatbuffers.ByteBuffer, obj?: Request): Request;
    id(): number;
    method(): Method;
    handlerId(): string | null;
    handlerId(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    bodyType(): Body;
    body<T extends flatbuffers.Table>(obj: any): any | null;
    static startRequest(builder: flatbuffers.Builder): void;
    static addId(builder: flatbuffers.Builder, id: number): void;
    static addMethod(builder: flatbuffers.Builder, method: Method): void;
    static addHandlerId(builder: flatbuffers.Builder, handlerIdOffset: flatbuffers.Offset): void;
    static addBodyType(builder: flatbuffers.Builder, bodyType: Body): void;
    static addBody(builder: flatbuffers.Builder, bodyOffset: flatbuffers.Offset): void;
    static endRequest(builder: flatbuffers.Builder): flatbuffers.Offset;
    static finishRequestBuffer(builder: flatbuffers.Builder, offset: flatbuffers.Offset): void;
    static finishSizePrefixedRequestBuffer(builder: flatbuffers.Builder, offset: flatbuffers.Offset): void;
    static createRequest(builder: flatbuffers.Builder, id: number, method: Method, handlerIdOffset: flatbuffers.Offset, bodyType: Body, bodyOffset: flatbuffers.Offset): flatbuffers.Offset;
    unpack(): RequestT;
    unpackTo(_o: RequestT): void;
}
export declare class RequestT implements flatbuffers.IGeneratedObject {
    id: number;
    method: Method;
    handlerId: string | Uint8Array | null;
    bodyType: Body;
    body: AddProducerRequestT | AddSubchannelRequestT | CloseConsumerRequestT | CloseDataConsumerRequestT | CloseDataProducerRequestT | CloseProducerRequestT | CloseRouterRequestT | CloseRtpObserverRequestT | CloseTransportRequestT | CloseWebRtcServerRequestT | ConnectRequestT | ConsumeDataRequestT | ConsumeRequestT | CreateActiveSpeakerObserverRequestT | CreateAudioLevelObserverRequestT | CreateDirectTransportRequestT | CreatePipeTransportRequestT | CreatePlainTransportRequestT | CreateRouterRequestT | CreateWebRtcServerRequestT | CreateWebRtcTransportRequestT | EnableTraceEventRequestT | FBS_Consumer_EnableTraceEventRequestT | FBS_PipeTransport_ConnectRequestT | FBS_Producer_EnableTraceEventRequestT | FBS_WebRtcTransport_ConnectRequestT | ProduceDataRequestT | ProduceRequestT | RemoveProducerRequestT | RemoveSubchannelRequestT | SendRequestT | SetBufferedAmountLowThresholdRequestT | SetMaxIncomingBitrateRequestT | SetMaxOutgoingBitrateRequestT | SetMinOutgoingBitrateRequestT | SetPreferredLayersRequestT | SetPriorityRequestT | SetSubchannelsRequestT | UpdateSettingsRequestT | null;
    constructor(id?: number, method?: Method, handlerId?: string | Uint8Array | null, bodyType?: Body, body?: AddProducerRequestT | AddSubchannelRequestT | CloseConsumerRequestT | CloseDataConsumerRequestT | CloseDataProducerRequestT | CloseProducerRequestT | CloseRouterRequestT | CloseRtpObserverRequestT | CloseTransportRequestT | CloseWebRtcServerRequestT | ConnectRequestT | ConsumeDataRequestT | ConsumeRequestT | CreateActiveSpeakerObserverRequestT | CreateAudioLevelObserverRequestT | CreateDirectTransportRequestT | CreatePipeTransportRequestT | CreatePlainTransportRequestT | CreateRouterRequestT | CreateWebRtcServerRequestT | CreateWebRtcTransportRequestT | EnableTraceEventRequestT | FBS_Consumer_EnableTraceEventRequestT | FBS_PipeTransport_ConnectRequestT | FBS_Producer_EnableTraceEventRequestT | FBS_WebRtcTransport_ConnectRequestT | ProduceDataRequestT | ProduceRequestT | RemoveProducerRequestT | RemoveSubchannelRequestT | SendRequestT | SetBufferedAmountLowThresholdRequestT | SetMaxIncomingBitrateRequestT | SetMaxOutgoingBitrateRequestT | SetMinOutgoingBitrateRequestT | SetPreferredLayersRequestT | SetPriorityRequestT | SetSubchannelsRequestT | UpdateSettingsRequestT | null);
    pack(builder: flatbuffers.Builder): flatbuffers.Offset;
}
//# sourceMappingURL=request.d.ts.map