import * as flatbuffers from 'flatbuffers';
import { PortRange, PortRangeT } from '../../fbs/transport/port-range';
import { Protocol } from '../../fbs/transport/protocol';
import { SocketFlags, SocketFlagsT } from '../../fbs/transport/socket-flags';
export declare class ListenInfo implements flatbuffers.IUnpackableObject<ListenInfoT> {
    bb: flatbuffers.ByteBuffer | null;
    bb_pos: number;
    __init(i: number, bb: flatbuffers.ByteBuffer): ListenInfo;
    static getRootAsListenInfo(bb: flatbuffers.ByteBuffer, obj?: ListenInfo): ListenInfo;
    static getSizePrefixedRootAsListenInfo(bb: flatbuffers.ByteBuffer, obj?: ListenInfo): ListenInfo;
    protocol(): Protocol;
    ip(): string | null;
    ip(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    announcedAddress(): string | null;
    announcedAddress(optionalEncoding: flatbuffers.Encoding): string | Uint8Array | null;
    port(): number;
    portRange(obj?: PortRange): PortRange | null;
    flags(obj?: SocketFlags): SocketFlags | null;
    sendBufferSize(): number;
    recvBufferSize(): number;
    static startListenInfo(builder: flatbuffers.Builder): void;
    static addProtocol(builder: flatbuffers.Builder, protocol: Protocol): void;
    static addIp(builder: flatbuffers.Builder, ipOffset: flatbuffers.Offset): void;
    static addAnnouncedAddress(builder: flatbuffers.Builder, announcedAddressOffset: flatbuffers.Offset): void;
    static addPort(builder: flatbuffers.Builder, port: number): void;
    static addPortRange(builder: flatbuffers.Builder, portRangeOffset: flatbuffers.Offset): void;
    static addFlags(builder: flatbuffers.Builder, flagsOffset: flatbuffers.Offset): void;
    static addSendBufferSize(builder: flatbuffers.Builder, sendBufferSize: number): void;
    static addRecvBufferSize(builder: flatbuffers.Builder, recvBufferSize: number): void;
    static endListenInfo(builder: flatbuffers.Builder): flatbuffers.Offset;
    unpack(): ListenInfoT;
    unpackTo(_o: ListenInfoT): void;
}
export declare class ListenInfoT implements flatbuffers.IGeneratedObject {
    protocol: Protocol;
    ip: string | Uint8Array | null;
    announcedAddress: string | Uint8Array | null;
    port: number;
    portRange: PortRangeT | null;
    flags: SocketFlagsT | null;
    sendBufferSize: number;
    recvBufferSize: number;
    constructor(protocol?: Protocol, ip?: string | Uint8Array | null, announcedAddress?: string | Uint8Array | null, port?: number, portRange?: PortRangeT | null, flags?: SocketFlagsT | null, sendBufferSize?: number, recvBufferSize?: number);
    pack(builder: flatbuffers.Builder): flatbuffers.Offset;
}
//# sourceMappingURL=listen-info.d.ts.map